<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Thu Jan 02 00:22:44 EST 2020 -->
<title>io.gitlab.littlesaints.protean.exchanges (protean-core 1.0.0 API)</title>
<meta name="date" content="2020-01-02">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../io/gitlab/littlesaints/protean/exchanges/package-summary.html" target="classFrame">io.gitlab.littlesaints.protean.exchanges</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="MessageExchange.html" title="interface in io.gitlab.littlesaints.protean.exchanges" target="classFrame"><span class="interfaceName">MessageExchange</span></a></li>
<li><a href="MessageExchange.Factory.html" title="interface in io.gitlab.littlesaints.protean.exchanges" target="classFrame"><span class="interfaceName">MessageExchange.Factory</span></a></li>
<li><a href="MessageExchange.Reader.html" title="interface in io.gitlab.littlesaints.protean.exchanges" target="classFrame"><span class="interfaceName">MessageExchange.Reader</span></a></li>
<li><a href="MessageExchange.Writer.html" title="interface in io.gitlab.littlesaints.protean.exchanges" target="classFrame"><span class="interfaceName">MessageExchange.Writer</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="AbstractMessageExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges" target="classFrame">AbstractMessageExchange</a></li>
</ul>
</div>
</body>
</html>
